<?php 

function smarty_modifier_getrealindex($array, $key) {
	if($key == null || empty($key)) {
		return false;
	}
	
	$a_keys = array_keys($array);
	$index_of_apple = array_search($key, $a_keys);
	
	return $index_of_apple;
}

?>